=== debian/changelog ===
opm-material (2021.10-2) unstable; urgency=medium

  * d/control: Stripped unnecessary Build-Depends on g++ gfortran
  * d/control: Bumped to Standards version 4.6.0

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 26 Jan 2022 12:45:03 +0100

opm-material (2021.10-1) unstable; urgency=medium

  * Initial release (Closes: #987381)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 16 Nov 2021 16:18:36 +0100
