=== debian/control ===
Source: opm-material
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
Build-Depends: debhelper-compat (= 13),
               pkg-config, libopm-common-dev (>=2021.10), quilt,  libboost-test-dev,
               libdune-common-dev (>= 2.6), cmake (>=3.10), bc,
               git, zlib1g-dev, libtool, doxygen,  graphviz,
               texlive-latex-extra, texlive-latex-recommended, ghostscript,
               mpi-default-dev, mpi-default-bin
Standards-Version: 4.6.0
Section: libs
Homepage: http://opm-project.org
Vcs-Browser: https://salsa.debian.org/science-team/opm-material
Vcs-Git: https://salsa.debian.org/science-team/opm-material.git
Rules-Requires-Root: no

Package: libopm-material-dev
Section: libdevel
Architecture: amd64 arm64 ia64 mips64el ppc64el
Multi-Arch: same
Depends: ${misc:Depends}, libopm-common-dev (>=2021.10), libdune-istl-dev (>= 2.6), libdune-common-dev (>= 2.6)
Replaces: libopm-material1-dev
Suggests: libopm-material-doc
Description: Material properties framework for porous media -- development files
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 This header-only library contains the generic code for calculating material
 properties used when simulating porous media flow. It includes utilities
 for calculating relative-permeability/capillary pressure laws,
 thermodynamic relations, flash solvers, empirical heat conduction laws,
 et cetera.It uses automatic differentiation for calculating the
 properties.
 .
 This package contains the development files (headers) needed.

Package: libopm-material-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces: libopm-material1-doc
Depends: ${misc:Depends}
Description: Material properties framework for porous media -- documentation
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 This header-only library contains the generic code for calculating material
 properties used when simulating porous media flow. It includes utilities
 for calculating relative-permeability/capillary pressure laws,
 thermodynamic relations, flash solvers, empirical heat conduction laws,
 et cetera. It uses automatic differentiation for calculating the
 properties.
 .
 This package contains the documentation of the source code.
