## opm-material 2022.04%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,10 +20,6 @@
 cmake_minimum_required (VERSION 3.10)
 
 option(SIBLING_SEARCH "Search for other modules in sibling directories?" ON)
-option(ENABLE_3DPROPS_TESTING "Enable the testing of 3D properties" OFF)
-if (ENABLE_3DPROPS_TESTING)
-  add_definitions(-DENABLE_3DPROPS_TESTING)
-endif()
 
 if(SIBLING_SEARCH AND NOT opm-common_DIR)
   # guess the sibling dir
@@ -114,3 +110,6 @@
 opm_add_test(test_components)
 opm_add_test(test_fluidsystems)
 opm_add_test(test_immiscibleflash)
+
+install(DIRECTORY doc/man1 DESTINATION ${CMAKE_INSTALL_MANDIR}
+  FILES_MATCHING PATTERN "*.1")
