=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 13),
-               pkg-config, libopm-common-dev (>=2021.10), quilt,  libboost-test-dev,
-               libdune-common-dev (>= 2.6), cmake (>=3.10), bc,
+Build-Depends: debhelper-compat (= 12),
+               pkg-config, libopm-common-dev (>= 2022.04), quilt,  libboost-test-dev,
+               libdune-common-dev, cmake, bc,
                git, zlib1g-dev, libtool, doxygen,  graphviz,
                texlive-latex-extra, texlive-latex-recommended, ghostscript,
-               mpi-default-dev, mpi-default-bin
+               mpi-default-dev, mpi-default-bin, libatlas-base-dev
 Standards-Version: 4.6.0
 Section: libs
 Homepage: http://opm-project.org
@@ -17,9 +17,9 @@
 
 Package: libopm-material-dev
 Section: libdevel
-Architecture: amd64 arm64 ia64 mips64el ppc64el
+Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libopm-common-dev (>=2021.10), libdune-istl-dev (>= 2.6), libdune-common-dev (>= 2.6)
+Depends: ${misc:Depends}, libopm-common-dev (>= 2022.04), libdune-common-dev
 Replaces: libopm-material1-dev
 Suggests: libopm-material-doc
 Description: Material properties framework for porous media -- development files
