=== debian/changelog ===
opm-material (2022.10+ds-4) unstable; urgency=medium

  * d/(tests/)control: Limit the architectures to known working ones.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 24 Mar 2023 09:33:42 +0100

opm-material (2022.10+ds-3) unstable; urgency=medium

  * d/control: Removed unneeded git from Build-Depends.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 Mar 2023 23:37:43 +0100

opm-material (2022.10+ds-2) experimental; urgency=medium

  * d/control: Bump standards version to 4.6.2 (no-change)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 09 Jan 2023 11:35:45 +0100

opm-material (2022.10+ds-1) unstable; urgency=medium

  * New upstream version 2022.10
  * d/control: Bump version of OPM dependency to current one.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Nov 2022 16:18:32 +0100

opm-material (2022.10~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10-rc2
  * d/tests: depend on same version of packages for autopkgtest.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 08 Nov 2022 20:31:49 +0100

opm-material (2022.10~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10-rc1
  * d/control: Depend on OPM 2022.10.
  * d: Updated copyright

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 04 Nov 2022 09:59:33 +0100
