=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
 Build-Depends: debhelper-compat (= 12),
-               pkg-config, libopm-common-dev (>= 2022.04), quilt,  libboost-test-dev,
+               pkg-config, libopm-common-dev (>= 2022.10), quilt,  libboost-test-dev,
                libdune-common-dev, cmake, bc,
-               git, zlib1g-dev, libtool, doxygen,  graphviz,
+               zlib1g-dev, libtool, doxygen,  graphviz,
                texlive-latex-extra, texlive-latex-recommended, ghostscript,
                mpi-default-dev, mpi-default-bin, libatlas-base-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: http://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-material
@@ -17,9 +17,9 @@
 
 Package: libopm-material-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
-Depends: ${misc:Depends}, libopm-common-dev (>= 2022.04), libdune-common-dev
+Depends: ${misc:Depends}, libopm-common-dev (>= 2022.10), libdune-common-dev
 Replaces: libopm-material1-dev
 Suggests: libopm-material-doc
 Description: Material properties framework for porous media -- development files
