=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,7 @@
 %:
 	dh $@
 
-include /usr/share/opm/opm-debian.mk
+OPM_DEBIAN_MK ?= /usr/share/opm/opm-debian.mk
+ifneq ("$(wildcard $(OPM_DEBIAN_MK))","")
+   include $(OPM_DEBIAN_MK)
+endif
